<div class="overlay" (click)="navigateBack($event)">
  <div class="modal-container" #modalContent>
    <div class="calculator-wrapper">
      <div class="modal-title-box">
        <p class="modal-title">Стоимость услуг</p>
        <img (click)="close()" src="assets/icons/plus-icon.svg">
      </div>
      <div class="about-text">
        <div class="about-text-title">Что такое ЕГИСЗ?</div><br>
        ЕГИСЗ – Единая государственная информационная система в сфере здравоохранения. <br>
        Согласно Постановлению Правительства №852 «О лицензировании медицинской деятельности» от 01.06.2021 ВСЕ
        медицинские организации должны быть зарегистрированы в ФРМО (Федеральный реестр медицинских организаций) ЕГИСЗ,
        а ВСЕ сотрудники должны быть зарегистрированы в ФРМР (Федеральный регистр медицинских работников) ЕГИСЗ.
        Также согласно принятым поправкам в Федеральный закон от 21.11.2011 №323-ФЗ «Об основах охраны здоровья граждан
        в Российской Федерации» ВСЕ фармацевтические организации также должны быть зарегистрированы в ЕГИСЗ.
        В случае, если при осуществление медицинской деятельности установлен факт невнесения таких сведений в ЕГИСЗ
        юридическое лицо или ИП может быть привлечено к административной ответственности в соответствии с ч. 4 ст. 14.1
        КоАП РФ, а именно:<br>
        - для юридических лиц в виде административного штрафа в размере от ста тысяч до двухсот тысяч рублей или
        административного приостановления деятельности на срок до девяноста суток;<br>
        - для индивидуальных предпринимателей в виде административного штрафа в размере от четырех тысяч до восьми тысяч
        рублей или административного приостановления деятельности на срок до девяноста суток.
      </div>

      <form [formGroup]="calculateForm" class="form-container">

        <div class="form__group field">
          <select formControlName="isRegistration" class="form__field" id="isRegistration" name="isRegistration">
            <option value="5000">Да</option>
            <option value="0">Нет</option>
          </select>
          <label class="form__label" for="isRegistration">Нужна ли регистрация?</label>
        </div>

        <div class="form__group field">
          <select formControlName="personal" class="form__field" id="personal" name="personal">
            <option selected value="1500">1</option>
            <option value="2100">2</option>
            <option value="2600">3</option>
            <option value="2900">4</option>
            <option value="3500">От 5 до 10</option>
            <option value="6500">От 10</option>
          </select>
          <label class="form__label" for="personal">Количество сотрудников</label>
        </div>

        <div class="form__group field">
          <select formControlName="equipment" class="form__field" id="equipment" name="equipment">
            <option selected value="5000">До 10</option>
            <option value="7000">От 10 до 20</option>
            <option value="10000">От 20 до 30</option>
            <option value="11000">От 30 до 40</option>
            <option value="12000">От 40 до 50</option>
            <option value="24000">От 50</option>
          </select>
          <label class="form__label" for="equipment">Количество единиц оборудования</label>
        </div>
        <div class="buttons-wrapper">
          <button [disabled]="calculateForm.invalid" (click)="calculate()" class="btn btn-full">ПОСЧИТАТЬ</button>
          <div *ngIf="price" class="notification">Цена составляет: {{price}} руб.</div>
        </div>
      </form>
    </div>
  </div>
</div>

